#ifndef LATITUDE_H
#define LATITUDE_H

#include <QtGui>
#include <QtWebKit>
#include "glatitude.h"
#include "gps.h"
#ifdef Q_WS_MAEMO_5
#include <QtMaemo5>
#endif

class LatitudeGUI : public QMainWindow {
    Q_OBJECT

signals:
    void newpos();

public:
    LatitudeGUI(QSettings *set, QWidget *parent = 0);
    void reparseConfiguration();

protected:
    void loadSettings();

private slots:
#ifdef Q_WS_MAEMO_5
    void enableServices();
    void disableServices();
#endif
    void set();
    void latitude_OK();
    void latitude_ERROR();
    void save_user(QString);
    void save_pass(QString);
    void maps_login();
    void mode_buzz();
    void mode_latitude();

private:
    GoogleLatitude *glatitude;
    GpsMaemo5 *gps;
    QSettings *settings;
    QWebView *maps;
    QUrl url;
#ifdef Q_WS_MAEMO_5
    LocationGPSDControlInterval location_interval;
    LocationGPSDControlMethod location_method;
#endif
    bool loginOk;
};

#endif // LATITUDE_H
